package com.ssj.service.conch.conch.paddto;

import java.io.Serializable;

/**
 * @author yanghuan
 * @title: PadNewHomeDto
 * @projectName ssj
 * @description: TODO
 * @date 2019/12/31 11:00
 */
public class PadNewHomeDto implements Serializable {

    private static final long serialVersionUID = 1L;

    private String userName;//学生昵称
    private String grade;//年级
    private String imgUrl;//头像
    private int unreadSum;//聊天未读总数量
    private int homeworkSum;//作业总数
    private int problemSum;//难题总数
    private String eyeCareTime = "60"; //护眼设置（分钟）:60:（一小时） 30:(半小时) 15:(十五分钟)
    /**
     * 是否签到 1-已签到 2-未签到
     */
    private int whetherSignIn=2;

    /**
     * 是否绑定校区 1-已绑定 2-未绑定
     */
    private int isBind;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public int getUnreadSum() {
        return unreadSum;
    }

    public void setUnreadSum(int unreadSum) {
        this.unreadSum = unreadSum;
    }

    public int getHomeworkSum() {
        return homeworkSum;
    }

    public void setHomeworkSum(int homeworkSum) {
        this.homeworkSum = homeworkSum;
    }

    public int getProblemSum() {
        return problemSum;
    }

    public void setProblemSum(int problemSum) {
        this.problemSum = problemSum;
    }

    public String getEyeCareTime() {
        return eyeCareTime;
    }

    public void setEyeCareTime(String eyeCareTime) {
        this.eyeCareTime = eyeCareTime;
    }

    public int getWhetherSignIn() {
        return whetherSignIn;
    }

    public void setWhetherSignIn(int whetherSignIn) {
        this.whetherSignIn = whetherSignIn;
    }

    public int getIsBind() {
        return isBind;
    }

    public void setIsBind(int isBind) {
        this.isBind = isBind;
    }
}
